locuslinkQuery {annotate} | R Documentation

## A function to open the browser to Locuslink using a provided search query.

### Description

Given a search string, will query the Locuslink site and passes the returned page to the browser.

### Usage

    locuslinkQuery(query,...,lladdress="LocusLink/", browse=TRUE)

### Arguments

`query` | The search query to use
`...` | The species to search on. Defaults to "Hs" - human.
`lladdress` | The subdirectory off of the NCBI site for LocusLink.
`browse` | If TRUE, will open the URL in a web browser

### Details

A simple function which takes a search string and a set of species, and will perform a locuslink query, returning the results to the browser. Tips on creating good search strings, as well as current species abbreviations can be found at: `http://www.ncbi.nih.gov/LocusLink/help.html`

### Value

If `browse` is TRUE, the user's web browser is directed to that URL. The URL found is returned if `browse` is FALSE.

### Author(s)

Jeff Gentry

### See Also

`genbank` `pubmed` `locuslinkByID`

### Examples

       if( interactive() )
          locuslinkQuery("abc","Hs","Mm")

[Package annotate version 1.8.0 Index]